Package com.logicaldoc.core.util

# Class UserUtil

java.lang.Object
com.logicaldoc.core.util.UserUtil

public class UserUtil extends Object
Various utilities about users.

Since:
  6.1
Author:
  Matteo Caruso - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`static void`
`generateDefaultAvatar(User user)`
Updates the avatar of a user with the default avatar that is the Gravatar or the auto-generated image(in case Gravatar is not available)
`static String`
`getAvatarImage(String userIdOrName)`
`static File`
`getUserHome(long id)`
This method retrieves the user folder.
`static File`
`getUserResource(long id, String path)`
This method retrieves a user resource (file or folder).
`static File`
`getUsersDir()`
This method retrieves the users root folder.
`static void`
`saveAvatar(User user, File avatarImageFile, String imageType)`
Updates the avatar of a user with a given .png image

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getUserHome

public static File getUserHome(long id)
This method retrieves the user folder. If not exists, it creates the folder. The folder is: conf.userdir/id

Parameters:
  `id` - The user identifier
Returns:
  the user's data folder

### getUserResource

public static File getUserResource(long id, String path)
This method retrieves a user resource (file or folder). If the resource is a folder and not exists, it creates the folder. The folder will be: conf.userdir/id/path

Parameters:
  `id` - The user identifier
  `path` - The resource path
Returns:
  the user's resource

### getUsersDir

public static File getUsersDir()
This method retrieves the users root folder. If not exists, it creates the folder. The folder is: conf.userdir

Returns:
  the root folder that contains the users data folders

### saveAvatar

public static void saveAvatar(User user, File avatarImageFile, String imageType)
Updates the avatar of a user with a given .png image

Parameters:
  `user` - The user to elaborate
  `avatarImageFile` - The file containing the avatar image
  `avatarImageFile` - The image type(eg png, svg)

### generateDefaultAvatar

public static void generateDefaultAvatar(User user)
Updates the avatar of a user with the default avatar that is the Gravatar or the auto-generated image(in case Gravatar is not available)

Parameters:
  `user` - The user to elaborate

### getAvatarImage

public static String getAvatarImage(String userIdOrName) throws PersistenceException

Throws:
  `PersistenceException`